# Generated by Django 3.0.3 on 2021-03-22 17:39

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Person',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('firstname', models.CharField(blank=True, max_length=50, null=True, verbose_name='Firstname')),
                ('lastname', models.CharField(blank=True, max_length=50, null=True, verbose_name='Lastname')),
                ('sex', models.CharField(blank=True, max_length=50, null=True, verbose_name='Sex')),
                ('birthdate', models.CharField(blank=True, max_length=50, null=True, verbose_name='Birthdate')),
                ('birth_note', models.CharField(blank=True, max_length=50, null=True, verbose_name='Birth note')),
                ('birth_place', models.CharField(blank=True, max_length=50, null=True, verbose_name='Birth place')),
                ('death_date', models.CharField(blank=True, max_length=50, null=True, verbose_name='Death date')),
                ('death_place', models.CharField(blank=True, max_length=50, null=True, verbose_name='Death place')),
                ('death_note', models.CharField(blank=True, max_length=50, null=True, verbose_name='Death note')),
                ('some_infos', models.CharField(blank=True, max_length=50, null=True, verbose_name='Additional infos')),
                ('father', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='father_child', to='genealogy.Person', verbose_name='Father')),
                ('mother', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='mother_child', to='genealogy.Person', verbose_name='Mother')),
            ],
            options={
                'verbose_name': 'Person',
                'verbose_name_plural': 'Persons',
            },
        ),
        migrations.CreateModel(
            name='Union',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('start_date', models.DateField(blank=True, null=True, verbose_name='Start date')),
                ('end_date', models.DateField(blank=True, null=True, verbose_name='End date')),
                ('note', models.CharField(blank=True, max_length=50, null=True, verbose_name='Note')),
                ('female', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='union_female', to='genealogy.Person', verbose_name='Mother')),
                ('male', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='union_male', to='genealogy.Person', verbose_name='Mother')),
            ],
            options={
                'verbose_name': 'Union',
                'verbose_name_plural': 'Unions',
            },
        ),
    ]
